Package com.oracle.truffle.api

## Class Truffle

- java.lang.Object
- - com.oracle.truffle.api.Truffle

    public class Truffle
    extends java.lang.Object

Class for obtaining the Truffle runtime singleton object of this virtual machine.

### Constructor Summary

Constructors
`Truffle()`

### Method Summary

All Methods Static Methods Concrete Methods
`static TruffleRuntime` `getRuntime()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Truffle

    public Truffle()

### Method Detail

#### getRuntime

    public static TruffleRuntime getRuntime()